Get Single License Key Logs
Added in v1.0
GET
https://api.example.com/api/keys/{id}/logs
Requires authentication:
x-api-key: YOUR_API_KEY
Returns all license logs in an array.
Path parameters
-
keystring requiredThe license key, as shown on the license page on the website.
Responses
- 200OK
- 201Success
- 404Not Found
Request
curl -X GET 'https://api.example.com/api/keys/{id}/logs' \
-H 'x-api-key: YOUR_API_KEY'
const response = await fetch('https://api.example.com/api/keys/{id}/logs', {
method: 'GET',
headers: {
'x-api-key': 'YOUR_API_KEY',
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://api.example.com/api/keys/{id}/logs",
headers={
"x-api-key": "YOUR_API_KEY",
},
)
print(response.json())
<?php
$ch = curl_init('https://api.example.com/api/keys/{id}/logs');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'x-api-key: YOUR_API_KEY',
],
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($response);
Response
OK
[
{
"id": 1,
"key": 2,
"timeAt": "1788648761000",
"ip": "192.168.1.10",
"details": "",
"status": "AUTHORISED"
}
]
Success
{
"msg": "No license logs were found for the specified license key."
}
Not Found
{
"msg": "The specified license key was not found."
}